## org.eclipse.emf.query.conditions.numbers
Class NumberAdapter.LongAdapter

    java.lang.Object
      org.eclipse.emf.query.conditions.numbers.NumberAdapter<Long>
          org.eclipse.emf.query.conditions.numbers.NumberAdapter.LongAdapter

All Implemented Interfaces:
  IDataTypeAdapter<Long>

Enclosing class:
  NumberAdapter<N extends Number & Comparable<? super N>>

    public abstract static class NumberAdapter.LongAdapter

extends NumberAdapter<Long>

A subclass of `NumberAdapter` to be used to adapt an argument object to `long` values Clients can either use the default implementation supplied or have their own.

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.query.conditions.numbers.NumberAdapter
`NumberAdapter.ByteAdapter, NumberAdapter.DoubleAdapter, NumberAdapter.FloatAdapter, NumberAdapter.IntegerAdapter, NumberAdapter.LongAdapter, NumberAdapter.ShortAdapter`

Field Summary
`static NumberAdapter.LongAdapter` `DEFAULT` The simplest `LongAdapter` implementation that represents the case when to argument object to adapt is a Long object itself.

Constructor Summary
`NumberAdapter.LongAdapter()`

Method Summary
`abstract long` `longValue(Object object)` An adapting function whose responsible of extracting the `long` value of interest from an the argument object

Methods inherited from class org.eclipse.emf.query.conditions.numbers.NumberAdapter
`adapt, getDefault`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DEFAULT

    public static final NumberAdapter.LongAdapter DEFAULT

  The simplest `LongAdapter` implementation that represents the case when to argument object to adapt is a Long object itself.

Constructor Detail

### NumberAdapter.LongAdapter

    public NumberAdapter.LongAdapter()

Method Detail

### longValue

    public abstract long longValue(Object object)

  An adapting function whose responsible of extracting the `long` value of interest from an the argument object

  Parameters:
    `object` - The `Object` to adapt to `long`
  Returns:
    The `long` value of interest that got extracted by this adapter from the argument object

Copyright 2002, 2007 IBM Corporation and others. All Rights Reserved.